path: /build/build/enchant-app-text-2-2.7.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - cp enchant-2.7.0.ebuild /var/git/meta-repo/kits/text-kit/app-text/enchant/
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-aspell -nuspell -test -voikko hunspell" emerge app-text/enchant:2 -pv -t && \
    USE="-aspell -nuspell -test -voikko hunspell" emerge -j ${JOBS} --nodeps app-text/enchant:2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/enchant && luet-portage --dir /pkgdir/enchant
    app-text/enchant:2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a0ab56cfc64561fe0c1d5128f6c7aecfdb6ca7cd22a75e1b1e92c2c1afd29f2f
  package:
    name: enchant
    version: 2.7.3
    category: app-text-2
    use_flags:
    - -aspell
    - -nuspell
    - -test
    - -voikko
    - hunspell
    requires:
    - name: aspell
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Spellchecker wrapping library
    uri:
    - https://abiword.github.io/enchant/
    license: LGPL-2.1+
    buildtimestamp: 2024-05-23 13:22:06.188883056 +0000 UTC m=+671.081268026
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: '>=dev-libs/glib-2.6:2 aspell? ( app-text/aspell ) hunspell? ( >=app-text/hunspell-1.2.1:0=
        ) nuspell? ( >=app-text/nuspell-5.1.0:0= ) voikko? ( dev-libs/libvoikko )
        test? ( >=dev-libs/unittest++-2.0.0-r2 )'
      IUSE: aspell +hunspell nuspell test voikko
      RDEPEND: '>=dev-libs/glib-2.6:2 aspell? ( app-text/aspell ) hunspell? ( >=app-text/hunspell-1.2.1:0=
        ) nuspell? ( >=app-text/nuspell-5.1.0:0= ) voikko? ( dev-libs/libvoikko )
        !<app-text/enchant-2.7.3:2.2'
      emerge.packages: app-text/enchant:2
      kit: text-kit
      original.package.name: app-text/enchant
      original.package.slot: "2"
      original.package.version: 2.7.3
    treedir: /build/packages
  package_dir: /pkgdir/enchant
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 20dbdd79c3cfe268dbc7aa940cd98660fe004bcee82480666119bb2c29e8d93b
compressiontype: zstd
files:
- usr/bin/enchant-2
- usr/bin/enchant-lsmod-2
- usr/include/enchant-2/enchant++.h
- usr/include/enchant-2/enchant.h
- usr/lib64/enchant-2/enchant_hunspell.so
- usr/lib64/libenchant-2.so
- usr/lib64/libenchant-2.so.2
- usr/lib64/libenchant-2.so.2.7.3
- usr/lib64/pkgconfig/enchant-2.pc
- usr/share/doc/enchant-2.7.3/AUTHORS.bz2
- usr/share/doc/enchant-2.7.3/ChangeLog.bz2
- usr/share/doc/enchant-2.7.3/NEWS.bz2
- usr/share/doc/enchant-2.7.3/README.bz2
- usr/share/doc/enchant-2.7.3/enchant-2.html
- usr/share/doc/enchant-2.7.3/enchant-lsmod-2.html
- usr/share/doc/enchant-2.7.3/enchant.html
- usr/share/enchant-2/enchant.ordering
- usr/share/man/man1/enchant-2.1.bz2
- usr/share/man/man1/enchant-lsmod-2.1.bz2
- usr/share/man/man5/enchant.5.bz2
- var/db/pkg/app-text/enchant-2.7.3/BDEPEND
- var/db/pkg/app-text/enchant-2.7.3/BUILD_TIME
- var/db/pkg/app-text/enchant-2.7.3/CATEGORY
- var/db/pkg/app-text/enchant-2.7.3/CBUILD
- var/db/pkg/app-text/enchant-2.7.3/CFLAGS
- var/db/pkg/app-text/enchant-2.7.3/CHOST
- var/db/pkg/app-text/enchant-2.7.3/CONTENTS
- var/db/pkg/app-text/enchant-2.7.3/COUNTER
- var/db/pkg/app-text/enchant-2.7.3/CXXFLAGS
- var/db/pkg/app-text/enchant-2.7.3/DEFINED_PHASES
- var/db/pkg/app-text/enchant-2.7.3/DEPEND
- var/db/pkg/app-text/enchant-2.7.3/DESCRIPTION
- var/db/pkg/app-text/enchant-2.7.3/EAPI
- var/db/pkg/app-text/enchant-2.7.3/FEATURES
- var/db/pkg/app-text/enchant-2.7.3/HOMEPAGE
- var/db/pkg/app-text/enchant-2.7.3/IUSE
- var/db/pkg/app-text/enchant-2.7.3/IUSE_EFFECTIVE
- var/db/pkg/app-text/enchant-2.7.3/KEYWORDS
- var/db/pkg/app-text/enchant-2.7.3/LDFLAGS
- var/db/pkg/app-text/enchant-2.7.3/LICENSE
- var/db/pkg/app-text/enchant-2.7.3/NEEDED
- var/db/pkg/app-text/enchant-2.7.3/PF
- var/db/pkg/app-text/enchant-2.7.3/PROVIDES
- var/db/pkg/app-text/enchant-2.7.3/RDEPEND
- var/db/pkg/app-text/enchant-2.7.3/REQUIRES
- var/db/pkg/app-text/enchant-2.7.3/RESTRICT
- var/db/pkg/app-text/enchant-2.7.3/SIZE
- var/db/pkg/app-text/enchant-2.7.3/SLOT
- var/db/pkg/app-text/enchant-2.7.3/USE
- var/db/pkg/app-text/enchant-2.7.3/enchant-2.7.3.ebuild
- var/db/pkg/app-text/enchant-2.7.3/environment.bz2
- var/db/pkg/app-text/enchant-2.7.3/repository
package_cacheimage: ""
runtime:
  name: enchant
  version: 2.7.3
  category: app-text-2
  use_flags:
  - -aspell
  - -nuspell
  - -test
  - -voikko
  - hunspell
  requires:
  - name: hunspell
    version: '>=0'
    category: app-text
  - name: glib
    version: '>=0'
    category: dev-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Spellchecker wrapping library
  uri:
  - https://abiword.github.io/enchant/
  license: LGPL-2.1+
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: '>=dev-libs/glib-2.6:2 aspell? ( app-text/aspell ) hunspell? ( >=app-text/hunspell-1.2.1:0=
      ) nuspell? ( >=app-text/nuspell-5.1.0:0= ) voikko? ( dev-libs/libvoikko ) test?
      ( >=dev-libs/unittest++-2.0.0-r2 )'
    IUSE: aspell +hunspell nuspell test voikko
    RDEPEND: '>=dev-libs/glib-2.6:2 aspell? ( app-text/aspell ) hunspell? ( >=app-text/hunspell-1.2.1:0=
      ) nuspell? ( >=app-text/nuspell-5.1.0:0= ) voikko? ( dev-libs/libvoikko ) !<app-text/enchant-2.7.3:2.2'
    emerge.packages: app-text/enchant:2
    kit: text-kit
    original.package.name: app-text/enchant
    original.package.slot: "2"
    original.package.version: 2.7.3
